import { Base, Type } from "./type";
import { DescriptionTreeNode } from "./DescriptionTreeNode";
/**
 * @hidden
 */
export declare class ContainerState extends Base {
    static $t: Type;
    e: any;
    private b;
    private c;
    private a;
    g(a: any, b: number, c: any, d: DescriptionTreeNode, e: (arg1: any, arg2: string, arg3: any, arg4: boolean) => void): void;
    f(a: number): any;
    h(a: any, b: number, c: (arg1: any, arg2: string, arg3: boolean) => void): void;
    d(a: any): number;
}
